
(* start of data file d_drinfe.m *)

debug = True;

(* Drinfel'd-Sokolov-Wilson system with one parameter *)

eq[1][x,t]=D[u[1][x,t],t]+pp*u[2][x,t]*D[u[2][x,t],x];

eq[2][x,t]=D[u[2][x,t],t]+qq*D[u[2][x,t],{x,3}]+
           rr*u[1][x,t]*D[u[2][x,t],x]+ss*u[2][x,t]*D[u[1][x,t],x];

noeqs = 2;
name = "Drinfel'd-Sokolov-Wilson System (parameterized)";
parameters = {pp,qq,rr,ss};
weightpars = {};

(**** user can supply the rhorank and/or the name for the output file  ****)

(* rhorank = 6; *)
(* myfile = "phrsatr6.o"; *) 

(**** user can give the weights of u[1], u[2], and partial t, make  ****)
(**** sure they are correct! If not, you will see!                  ****)
(* weightu[1] = 2; *)
(* weightu[2] = 2; *)
(* weight[t]  = 3; *)  

formrho[x,t] = {};  

(**** user can supply the form of rho ****)
(* for rank 6: *)
(*
formrho[x,t]={c[1]*u[1][x,t]^3+c[2]*u[1][x,t]*u[2][x,t]^2+
              c[3]*D[u[1][x,t],x]^2+c[4]*D[u[2][x,t],x]^2}; 
*)

(* end of data file d_drinfe.m *)
