
(* 
From jyang@emba.uvm.edu  Tue Feb 25 18:11:51 2003
From: Jianke Yang <jyang@emba.uvm.edu>
Subject: a question on Condens.m
To: whereman@cartan.Mines.EDU
Date: Tue, 25 Feb 2003 14:37:42 -0500 (EST) 
*)

(* 
Dear Willy: 

  It has been a while since we contacted last time. 
Recently, I came across a complex modified kdv equation: 

	u_t+u_xxx=u(|u|^2)_x. 

I thought I would use your condens.m to find its conserved quantities. 
When I did that, I found that condens.m did not give any conserved 
quantities (my complex_mkdv.m code is attached below), while this 
equation clearly conserves at least the mass, which is the integral of |u|^2. 

Could you shed some light on why I failed?  Best regards. 

  Jianke 

  Jianke Yang
  Associate Professor of Mathematics
  University of Vermont
*)

(* -------------------  complex_mkdv.m ---------------------- *)

(* start data file d_comkdv.m *)

debug = False;

(* complex modified kdv: u_t + u_xxx = u(|u|^2)_x *)

eq[1][x,t] = D[u[1][x,t],t]+D[u[1][x,t],{x,3}]-
        2*u[1][x,t]*(u[1][x,t]*D[u[1][x,t],x]+u[2][x,t]*D[u[2][x,t],x]);

eq[2][x,t] = D[u[2][x,t],t]+D[u[2][x,t],{x,3}]-
        2*u[2][x,t]*(u[1][x,t]*D[u[1][x,t],x]+u[2][x,t]*D[u[2][x,t],x]);

noeqs = 2;
name = "complex modified KdV";
parameters = {};
weightpars = {};

formrho[x,t] = {};  

(* end of data file d_comkdv.m *)