(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     89582,       2437]*)
(*NotebookOutlinePosition[     90267,       2460]*)
(*  CellTagsIndexPosition[     90223,       2456]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \( (*\ Last\ modified\ by\ Hereman\ on\ Wednesday, \ August\ 5, \ 
      2009\ at\ 1 : 00\ at\ home\ in\ Boulder\ *) \)], "Input"],

Cell[BoxData[
    \( (*\ If\ you\ saved\ the\ software\ and\ data\ files\ in, \ 
      for\ example, \ the\ subdirectory\ democondens\ on\ drive\ C, \ 
      then\ set\ the\ location\ with\ the\ following\ command\ *) \)], "Input"],

Cell[BoxData[
    \( (*\ For\ example, \ 
      SetDirectory["\<c:\\myPCDirectory\\subdirectory\>"]\ *) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SetDirectory["\<d:\\democondens\\webtest\>"]\)], "Input"],

Cell[BoxData[
    \("d:\\democondens\\webtest"\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ First, \ 
      load\ the\ package\ condens2009 . 
          m\ with\ the\ Get["\<condens2009.m\>"]\ command\ given\ below\ \
these\ \(\(instructions\)\(.\)\)\ *) \)], "Input"],

Cell[BoxData[
    \(\(\( (*\ Then, \ select\ a\ number\ from\ the\ list, \ 
      for\ example\ 1\ with\ the\ Korteweg - 
        de\ Vries\ \(\(equation\)\(.\)\)\ *) \)\(\ \
\)\(\[IndentingNewLine]\)\( (*\ 
      Enter\ your\ choice\ in\ the\ pop - 
        up\ window, \ \(\((which\ may\ get\ hidden\ behind\ your\ notebook\ \
window)\)\(.\)\)\ *) \)\)\)], "Input"],

Cell[BoxData[
    \( (*\ Next, \ enter\ the\ name\ of\ an\ output\ file, \ for\ example, \ 
      kdvrun1 . out . \ *) \)], "Input"],

Cell[BoxData[
    \( (*\ Finally, \ enter\ the\ rank, \ 
      which\ must\ be\ an\ integer\ multiple\ of\ the\ lowest\ weight\ of\ \
the\ dependent\ \(\(variables\)\(.\)\)\ *) \)], "Input"],

Cell[BoxData[
    \( (*\ For\ example, \ 
      if\ you\ enter\ 6\ for\ the\ rank\ for\ the\ KdV\ equation, \ 
      the\ software\ will\ compute\ the\ conserved\ density\ of\ the\ form\ c[
            1]*u[x, t]^3\  + \ \ extra\ \(\(terms\)\(.\)\)\ *) \)], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      To\ see\ the\ next\ page \((s)\)\ of\ the\ menu\ enter\ nn\ in\ the\ \
pop - up\ \(\(window\)\(.\)\)\ *) \)\(\[IndentingNewLine]\)\( (*\ 
      To\ run\ your\ own\ case, \ 
      prepare\ a\ data\ file\ similar\ to\ the\ sample\ data\ files, \ 
      and\ use\ tt\ from\ the\ menu . \ 
            Follow\ the\ instructions\ in\ the\ pop - 
        up\ \(\(window\)\(.\)\)\ *) \)\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Get["\<condens2009.m\>"]\)\(\ \)\)\)], "Input"],

Cell[BoxData[
    \("Loading code condens2007.m (October 3, 2007)."\)], "Print"],

Cell[BoxData[
    \("Updated version: August 5, 2009."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("  *** MENU INTERFACE ***  (page: "\[InvisibleSpace]1\
\[InvisibleSpace]")"\),
      SequenceForm[ "  *** MENU INTERFACE ***  (page: ", 1, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("  1) KdV Equation (d_kdv.m)"\)], "Print"],

Cell[BoxData[
    \("  2) Modified KdV Equation (d_mkdv.m)"\)], "Print"],

Cell[BoxData[
    \("  3) Fifth Order KdV Equation-parameterized (d_5kdv.m)"\)], "Print"],

Cell[BoxData[
    \("  4) Fifth Order KdV Equation-Lax Case (d_5lax.m)"\)], "Print"],

Cell[BoxData[
    \("  5) Fifth Order KdV Equation-SK Case (d_5sk.m)"\)], "Print"],

Cell[BoxData[
    \("  6) Fifth Order KdV Equation-KK Case (d_5kk.m)"\)], "Print"],

Cell[BoxData[
    \("  7) Fifth Order KdV Equation-Ito Case (d_5ito.m)"\)], "Print"],

Cell[BoxData[
    \("  8) Seventh Order KdV Equation-parameterized (d_7kdv.m)"\)], "Print"],

Cell[BoxData[
    \("  9) Seventh Order KdV Equation-Lax Case (d_7lax.m)"\)], "Print"],

Cell[BoxData[
    \(" 10) Seventh Order KdV Equation-SK-Ito Case (d_7ski.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("------------------------------------------------------------"\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("        WELCOME TO THE MATHEMATICA PROGRAM               "\)], "Print"],

Cell[BoxData[
    \("         by UNAL GOKTAS and WILLY HEREMAN                "\)], "Print"],

Cell[BoxData[
    \("    FOR THE COMPUTATION OF CONSERVED DENSITIES,          "\)], "Print"],

Cell[BoxData[
    \("       FLUXES, AND COMPATIBILITY CONDITIONS              "\)], "Print"],

Cell[BoxData[
    \("            Last updated: August 5, 2009                 "\)], "Print"],

Cell[BoxData[
    \("         Previously updated: October 3, 2007             "\)], "Print"],

Cell[BoxData[
    \("           First released on May 4, 1998                 "\)], "Print"],

Cell[BoxData[
    \("                Copyright 1998-2009                      "\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Working with the data file for the \
"\[InvisibleSpace]"KdV Equation"\[InvisibleSpace]"."\),
      SequenceForm[ 
      "Working with the data file for the ", "KdV Equation", "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Equation "\[InvisibleSpace]1\[InvisibleSpace]" of \
the system with "\[InvisibleSpace]1\[InvisibleSpace]" equation(s):"\),
      SequenceForm[ 
      "Equation ", 1, " of the system with ", 1, " equation(s):"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"  \"\>", "\[InvisibleSpace]", 
        RowBox[{
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    
                    SequenceForm[ x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]],
            Editable->False]}], "\[InvisibleSpace]", "\<\" = 0\"\>"}],
      SequenceForm[ "  ", 
        Plus[ 
          SequenceForm[ u, 
            Subscript[ 1], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 1]], 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          SequenceForm[ u, 
            Subscript[ 1], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ x, x, x]]]], " = 0"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The list of all parameters is "\[InvisibleSpace]{}\
\[InvisibleSpace]".          "\),
      SequenceForm[ "The list of all parameters is ", {}, ".          "],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The software assumes that all these parameters are nonzero."\)], \
"Print"],

Cell[BoxData[
    \("Cases where parameters are set zero must be run separately."\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Highest order of derivative in the system is "\
\[InvisibleSpace]3\[InvisibleSpace]"."\),
      SequenceForm[ "Highest order of derivative in the system is ", 3, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Program determines the weights of the variables (and parameters)."\)], \
"Print"],

Cell[BoxData[
    \("For the given system:"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("* weight of u["\[InvisibleSpace]1\[InvisibleSpace]"] \
is "\[InvisibleSpace]2\[InvisibleSpace]"."\),
      SequenceForm[ "* weight of u[", 1, "] is ", 2, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("* weight of d/dt is "\[InvisibleSpace]3\
\[InvisibleSpace]"."\),
      SequenceForm[ "* weight of d/dt is ", 3, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The rank of rho should be an integer multiple of the lowest \
weight"\)], "Print"],

Cell[BoxData[
    \("of the DEPENDENT variable(s). Fractional weights are allowed."\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computation of the density (and flux) of RANK = "\
\[InvisibleSpace]12\),
      SequenceForm[ "Computation of the density (and flux) of RANK = ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Starting the construction of the form of the density."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("For RANK = "\[InvisibleSpace]12\[InvisibleSpace]", \
this is the form of density rho[x,t]: "\),
      SequenceForm[ 
      "For RANK = ", 12, ", this is the form of density rho[x,t]: "],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(c[1]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "6"]}], "+", 
      RowBox[{\(c[2]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[3]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "4"]}], "+", 
      RowBox[{\(c[4]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[5]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "3"]}], "+", 
      RowBox[{\(c[6]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\),
                      SequenceForm[ x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[7]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                      SequenceForm[ x, x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x, x]]],
              Editable->False], ")"}], "2"]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The highest-order of the terms in rho is "\
\[InvisibleSpace]4\[InvisibleSpace]"."\),
      SequenceForm[ "The highest-order of the terms in rho is ", 4, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Applying the Euler operator (the variational derivative)."\)], "Print"],

Cell[BoxData[
    \("Finished with variational differentiation."\)], "Print"],

Cell[BoxData[
    \("Starting the construction of the system for the c[i]."\)], "Print"],

Cell[BoxData[
    \("Starting the first simplification of the system."\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("This is the system of the c[i] (after the first simplification):"\)], \
"Print"],

Cell[BoxData[
    \({60\ c[1] + c[2] \[Equal] 0, 9\ c[2] + 5\ c[4] \[Equal] 0, 
      33\ c[2] - 30\ c[3] + 10\ c[4] \[Equal] 0, 
      12\ c[3] - 24\ c[4] + 8\ c[5] - 23\ c[6] \[Equal] 0, 
      18\ c[3] - 21\ c[4] + 12\ c[5] - 17\ c[6] \[Equal] 0, 
      24\ c[3] - 18\ c[4] + 16\ c[5] - 11\ c[6] \[Equal] 0, 
      6\ c[4] + 7\ c[6] \[Equal] 0, 9\ c[5] - 4\ c[6] - 42\ c[7] \[Equal] 0, 
      3\ c[5] - 6\ c[6] - 28\ c[7] \[Equal] 0, 
      c[6] + 3\ c[7] \[Equal] 0}\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The simplified system has "\[InvisibleSpace]10\
\[InvisibleSpace]" equations."\),
      SequenceForm[ "The simplified system has ", 10, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The simplified system for the coefficients c[i] has \
"\[InvisibleSpace]0\[InvisibleSpace]" parameter(s)."\),
      SequenceForm[ 
      "The simplified system for the coefficients c[i] has ", 0, 
        " parameter(s)."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The system of PDEs, rank and form of rho, the system for"\)], "Print"],

Cell[BoxData[
    \("c[i], its coefficient matrix, and the lists of unknowns and"\)], \
"Print"],

Cell[BoxData[
    \("parameters, will all be saved in the file workcond.m for"\)], "Print"],

Cell[BoxData[
    \("further analysis. For analysis use the Mathematica functions"\)], \
"Print"],

Cell[BoxData[
    \("Reduce, Solve, etc. Load the file workcond.m with the command"\)], \
"Print"],

Cell[BoxData[
    \("<<workcond.m ."\)], "Print"],

Cell[BoxData[
    RowBox[{\(Solve::"svars"\), \(\(:\)\(\ \)\), "\<\"Equations may not give \
solutions for all \\\"solve\\\" variables. \\!\\(\\*ButtonBox[\\\"More\
\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"Solve::svars\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("Solution of the system: "\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] \(7\ c[7]\)\/216, c[2] \[Rule] \(-\(\(35\ c[7]\)\/18\)\), 
      c[3] \[Rule] \(-\(\(35\ c[7]\)\/36\)\), c[4] \[Rule] \(7\ c[7]\)\/2, 
      c[5] \[Rule] \(10\ c[7]\)\/3, c[6] \[Rule] \(-3\)\ c[7]}\)], "Print"],

Cell[BoxData[
    \("Starting the computation of the flux."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Starting the integration of D_t(rho) with "\
\[InvisibleSpace]23\[InvisibleSpace]" terms,"\),
      SequenceForm[ 
      "Starting the integration of D_t(rho) with ", 23, " terms,"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Caution! There is a common (free) factor in the density."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Setting "\[InvisibleSpace]{c[7] \[Rule] 
            1}\[InvisibleSpace]"."\),
      SequenceForm[ "Setting ", {c[ 7] -> 1}, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("The normalized density rho[x,t] is:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      SuperscriptBox[
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], "6"], "-", 
      RowBox[{"60", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"]}], "-", 
      RowBox[{"30", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "4"]}], "+", 
      RowBox[{"108", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(720\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "3"]}], "-", 
      RowBox[{\(648\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\),
                      SequenceForm[ x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(216\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                      SequenceForm[ x, x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x, x]]],
              Editable->False], ")"}], "2"]}]}]], "Print"],

Cell[BoxData[
    \("The expression has no free coefficients."\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("The corresponding flux j[x,t] is:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(6\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "7"]}], "-", 
      RowBox[{"75", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "4"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"]}], "-", 
      RowBox[{"120", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "4"]}], "+", 
      RowBox[{"6", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "5"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox[\(x\[InvisibleSpace]x\),
                    SequenceForm[ x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{"180", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox[\(x\[InvisibleSpace]x\),
                    SequenceForm[ x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{"168", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{"396", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(936\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "3"]}], "-", 
      RowBox[{"120", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    
                    SequenceForm[ x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]],
            Editable->False], ")"}]}], "-", 
      RowBox[{"120", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "3"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    
                    SequenceForm[ x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]],
            Editable->False], ")"}]}], "-", 
      RowBox[{"432", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox[\(x\[InvisibleSpace]x\),
                    SequenceForm[ x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    
                    SequenceForm[ x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1404\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\),
                      SequenceForm[ x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x]]],
              Editable->False], ")"}], "2"]}], "-", 
      RowBox[{\(648\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox[\(x\[InvisibleSpace]x\),
                    SequenceForm[ x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x]]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\),
                      SequenceForm[ x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{"216", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox[\(x\[InvisibleSpace]x\),
                    SequenceForm[ x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                    SequenceForm[ x, x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x, x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(2160\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                    SequenceForm[ x, x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x, x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1296\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    
                    SequenceForm[ x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                    SequenceForm[ x, x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x, x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(864\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                      SequenceForm[ x, x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x, x]]],
              Editable->False], ")"}], "2"]}], "-", 
      RowBox[{\(1296\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    
                    SequenceForm[ x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\[InvisibleSpace]x\),
                    SequenceForm[ x, x, x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x, x, x]]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(216\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\[InvisibleSpace]x\),
                      SequenceForm[ x, x, x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x, x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(432\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                    SequenceForm[ x, x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x, x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    SequenceForm[ x, x, x, x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x, x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x, x, x, x]]],
            Editable->False], ")"}]}]}]], "Print"],

Cell[BoxData[
    \("The expression has no free coefficients."\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Result of explicit verification: (rho_t + J_x) = "\
\[InvisibleSpace]0\),
      SequenceForm[ "Result of explicit verification: (rho_t + J_x) = ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("********************* BEGIN SUMMARY *********************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Total CPU time used in the current session is "\
\[InvisibleSpace]4\[InvisibleSpace]" seconds."\),
      SequenceForm[ 
      "Total CPU time used in the current session is ", 4, " seconds."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The software computed 1 density with its corresponding flux."\)], \
"Print"],

Cell[BoxData[
    \("To see a list of all the densities type: listallrhos,"\)], "Print"],

Cell[BoxData[
    \("or pdeform[listallrhos]."\)], "Print"],

Cell[BoxData[
    \("To see the last density type: rho[x,t], or pdeform[rho[x,t]]."\)], \
"Print"],

Cell[BoxData[
    \("To split the last density in independent pieces type: "\)], "Print"],

Cell[BoxData[
    \("split[rho[x,t]], or split[pdeform[rho[x,t]]]."\)], "Print"],

Cell[BoxData[
    \("To see a list of all the fluxes type: listallfluxes,"\)], "Print"],

Cell[BoxData[
    \("or pdeform[listallfluxes]."\)], "Print"],

Cell[BoxData[
    \("To see the last flux type: j[x,t], or pdeform[j[x,t]]."\)], "Print"],

Cell[BoxData[
    \("To split the last flux in independent pieces type: split[j[x,t]],"\)], \
"Print"],

Cell[BoxData[
    \("or split[pdeform[j[x,t]]]."\)], "Print"],

Cell[BoxData[
    \("********************** END SUMMARY **********************"\)], "Print"],

Cell[BoxData[
    \("Code condens2007.m (October 3, 2007) successfully loaded."\)], "Print"],

Cell[BoxData[
    \("Updated version: August 5, 2009."\)], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(pdeform[listallrhos]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "6"], "-", 
        RowBox[{"60", " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], "3"], " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}], "2"]}], "-", 
        RowBox[{"30", " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}], "4"]}], "+", 
        RowBox[{"108", " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], "2"], " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox[\(x\[InvisibleSpace]x\),
                        SequenceForm[ x, x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x, x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x, x]]],
                Editable->False], ")"}], "2"]}], "+", 
        RowBox[{\(720\/7\), " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox[\(x\[InvisibleSpace]x\),
                        SequenceForm[ x, x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x, x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x, x]]],
                Editable->False], ")"}], "3"]}], "-", 
        RowBox[{\(648\/7\), " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      
                      InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]\
x\),
                        SequenceForm[ x, x, x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x, x, x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x, x, x]]],
                Editable->False], ")"}], "2"]}], "+", 
        RowBox[{\(216\/7\), " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      
                      InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]\
x\[InvisibleSpace]x\),
                        SequenceForm[ x, x, x, x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x, x, x, x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x, x, x, x]]],
                Editable->False], ")"}], "2"]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(listallrhos\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{\(\(u[1]\)[x, t]\^6\), "-", 
        RowBox[{"60", " ", \(\(u[1]\)[x, t]\^3\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "-", 
        RowBox[{"30", " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "4"]}], "+", 
        RowBox[{"108", " ", \(\(u[1]\)[x, t]\^2\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((2, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "+", 
        RowBox[{\(720\/7\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((2, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "3"]}], "-", 
        RowBox[{\(648\/7\), " ", \(\(u[1]\)[x, t]\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((3, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "+", 
        RowBox[{\(216\/7\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((4, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}]}], 
      "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(pdeform[rho[x, t]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      SuperscriptBox[
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], "6"], "-", 
      RowBox[{"60", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"]}], "-", 
      RowBox[{"30", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "4"]}], "+", 
      RowBox[{"108", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(720\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "3"]}], "-", 
      RowBox[{\(648\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\),
                      SequenceForm[ x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(216\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                      SequenceForm[ x, x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x, x]]],
              Editable->False], ")"}], "2"]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(split[j[x, t]]\)], "Input"],

Cell[BoxData[
    \("The expression has no free coefficients."\)], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(split[rho[x, t]]\)], "Input"],

Cell[BoxData[
    \("The expression has no free coefficients."\)], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rho[x, t]\)], "Input"],

Cell[BoxData[
    RowBox[{\(\(u[1]\)[x, t]\^6\), "-", 
      RowBox[{"60", " ", \(\(u[1]\)[x, t]\^3\), " ", 
        SuperscriptBox[
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "-", 
      RowBox[{"30", " ", 
        SuperscriptBox[
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], "4"]}], "+", 
      RowBox[{"108", " ", \(\(u[1]\)[x, t]\^2\), " ", 
        SuperscriptBox[
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((2, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "+", 
      RowBox[{\(720\/7\), " ", 
        SuperscriptBox[
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((2, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], "3"]}], "-", 
      RowBox[{\(648\/7\), " ", \(\(u[1]\)[x, t]\), " ", 
        SuperscriptBox[
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((3, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "+", 
      RowBox[{\(216\/7\), " ", 
        SuperscriptBox[
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((4, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], 
          "2"]}]}]], "Output"]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 941}},
ScreenStyleEnvironment->"Presentation",
WindowSize->{1009, 651},
WindowMargins->{{0, Automatic}, {Automatic, 44}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 148, 2, 38, "Input"],
Cell[1905, 55, 231, 3, 84, "Input"],
Cell[2139, 60, 117, 2, 38, "Input"],

Cell[CellGroupData[{
Cell[2281, 66, 77, 1, 38, "Input"],
Cell[2361, 69, 60, 1, 38, "Output"]
}, Open  ]],
Cell[2436, 73, 201, 4, 61, "Input"],
Cell[2640, 79, 367, 7, 107, "Input"],
Cell[3010, 88, 132, 2, 38, "Input"],
Cell[3145, 92, 190, 3, 61, "Input"],
Cell[3338, 97, 266, 4, 84, "Input"],
Cell[3607, 103, 430, 8, 84, "Input"],

Cell[CellGroupData[{
Cell[4062, 115, 71, 1, 38, "Input"],
Cell[4136, 118, 80, 1, 28, "Print"],
Cell[4219, 121, 67, 1, 28, "Print"],
Cell[4289, 124, 216, 4, 28, "Print"],
Cell[4508, 130, 92, 1, 28, "Print"],
Cell[4603, 133, 62, 1, 28, "Print"],
Cell[4668, 136, 72, 1, 28, "Print"],
Cell[4743, 139, 89, 1, 28, "Print"],
Cell[4835, 142, 84, 1, 28, "Print"],
Cell[4922, 145, 82, 1, 28, "Print"],
Cell[5007, 148, 82, 1, 28, "Print"],
Cell[5092, 151, 84, 1, 28, "Print"],
Cell[5179, 154, 91, 1, 28, "Print"],
Cell[5273, 157, 86, 1, 28, "Print"],
Cell[5362, 160, 89, 1, 28, "Print"],
Cell[5454, 163, 49, 1, 28, "Print"],
Cell[5506, 166, 51, 1, 28, "Print"],
Cell[5560, 169, 56, 1, 28, "Print"],
Cell[5619, 172, 97, 2, 28, "Print"],
Cell[5719, 176, 92, 1, 28, "Print"],
Cell[5814, 179, 92, 1, 28, "Print"],
Cell[5909, 182, 92, 1, 28, "Print"],
Cell[6004, 185, 92, 1, 28, "Print"],
Cell[6099, 188, 92, 1, 28, "Print"],
Cell[6194, 191, 92, 1, 28, "Print"],
Cell[6289, 194, 92, 1, 28, "Print"],
Cell[6384, 197, 92, 1, 28, "Print"],
Cell[6479, 200, 92, 1, 28, "Print"],
Cell[6574, 203, 92, 1, 28, "Print"],
Cell[6669, 206, 253, 5, 28, "Print"],
Cell[6925, 213, 283, 5, 28, "Print"],
Cell[7211, 220, 3843, 103, 29, "Print"],
Cell[11057, 325, 92, 1, 28, "Print"],
Cell[11152, 328, 232, 4, 28, "Print"],
Cell[11387, 334, 96, 2, 28, "Print"],
Cell[11486, 338, 96, 2, 28, "Print"],
Cell[11585, 342, 92, 1, 28, "Print"],
Cell[11680, 345, 240, 4, 28, "Print"],
Cell[11923, 351, 102, 2, 28, "Print"],
Cell[12028, 355, 56, 1, 28, "Print"],
Cell[12087, 358, 232, 4, 28, "Print"],
Cell[12322, 364, 190, 4, 28, "Print"],
Cell[12515, 370, 103, 2, 28, "Print"],
Cell[12621, 374, 98, 2, 28, "Print"],
Cell[12722, 378, 92, 1, 28, "Print"],
Cell[12817, 381, 223, 4, 28, "Print"],
Cell[13043, 387, 88, 1, 28, "Print"],
Cell[13134, 390, 259, 5, 28, "Print"],
Cell[13396, 397, 7535, 195, 54, "Print"],
Cell[20934, 594, 232, 4, 28, "Print"],
Cell[21169, 600, 92, 1, 28, "Print"],
Cell[21264, 603, 77, 1, 28, "Print"],
Cell[21344, 606, 88, 1, 28, "Print"],
Cell[21435, 609, 83, 1, 28, "Print"],
Cell[21521, 612, 92, 1, 28, "Print"],
Cell[21616, 615, 101, 2, 28, "Print"],
Cell[21720, 619, 483, 8, 97, "Print"],
Cell[22206, 629, 224, 4, 28, "Print"],
Cell[22433, 635, 296, 6, 28, "Print"],
Cell[22732, 643, 91, 1, 28, "Print"],
Cell[22826, 646, 96, 2, 28, "Print"],
Cell[22925, 650, 91, 1, 28, "Print"],
Cell[23019, 653, 97, 2, 28, "Print"],
Cell[23119, 657, 98, 2, 28, "Print"],
Cell[23220, 661, 49, 1, 28, "Print"],
Cell[23272, 664, 298, 4, 28, "Message"],
Cell[23573, 670, 92, 1, 28, "Print"],
Cell[23668, 673, 59, 1, 28, "Print"],
Cell[23730, 676, 244, 3, 85, "Print"],
Cell[23977, 681, 72, 1, 28, "Print"],
Cell[24052, 684, 255, 5, 28, "Print"],
Cell[24310, 691, 91, 1, 28, "Print"],
Cell[24404, 694, 203, 4, 28, "Print"],
Cell[24610, 700, 92, 1, 28, "Print"],
Cell[24705, 703, 70, 1, 28, "Print"],
Cell[24778, 706, 7478, 194, 70, "Print"],
Cell[32259, 902, 75, 1, 28, "Print"],
Cell[32337, 905, 92, 1, 28, "Print"],
Cell[32432, 908, 68, 1, 28, "Print"],
Cell[32503, 911, 35568, 925, 208, "Print"],
Cell[68074, 1838, 75, 1, 28, "Print"],
Cell[68152, 1841, 92, 1, 28, "Print"],
Cell[68247, 1844, 223, 4, 28, "Print"],
Cell[68473, 1850, 92, 1, 28, "Print"],
Cell[68568, 1853, 92, 1, 28, "Print"],
Cell[68663, 1856, 265, 5, 28, "Print"],
Cell[68931, 1863, 97, 2, 28, "Print"],
Cell[69031, 1867, 88, 1, 28, "Print"],
Cell[69122, 1870, 59, 1, 28, "Print"],
Cell[69184, 1873, 98, 2, 28, "Print"],
Cell[69285, 1877, 89, 1, 28, "Print"],
Cell[69377, 1880, 80, 1, 28, "Print"],
Cell[69460, 1883, 87, 1, 28, "Print"],
Cell[69550, 1886, 61, 1, 28, "Print"],
Cell[69614, 1889, 89, 1, 28, "Print"],
Cell[69706, 1892, 102, 2, 28, "Print"],
Cell[69811, 1896, 61, 1, 28, "Print"],
Cell[69875, 1899, 92, 1, 28, "Print"],
Cell[69970, 1902, 92, 1, 28, "Print"],
Cell[70065, 1905, 67, 1, 28, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[70169, 1911, 53, 1, 38, "Input"],
Cell[70225, 1914, 7888, 195, 81, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[78150, 2114, 44, 1, 38, "Input"],
Cell[78197, 2117, 1749, 45, 123, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[79983, 2167, 51, 1, 38, "Input"],
Cell[80037, 2170, 7479, 194, 80, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87553, 2369, 47, 1, 38, "Input"],
Cell[87603, 2372, 75, 1, 28, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87715, 2378, 49, 1, 38, "Input"],
Cell[87767, 2381, 75, 1, 28, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87879, 2387, 42, 1, 38, "Input"],
Cell[87924, 2390, 1642, 44, 80, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

