(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     63044,       1862]*)
(*NotebookOutlinePosition[     63791,       1888]*)
(*  CellTagsIndexPosition[     63747,       1884]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(SetDirectory["\<d:\\democondens\\webtest\>"]\)], "Input"],

Cell[BoxData[
    \("d:\\democondens\\webtest"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<Condens2009.m\>"]\)], "Input"],

Cell[BoxData[
    \("Loading code condens2007.m (October 3, 2007)."\)], "Print"],

Cell[BoxData[
    \("Updated version: August 5, 2009."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("  *** MENU INTERFACE ***  (page: "\[InvisibleSpace]1\
\[InvisibleSpace]")"\),
      SequenceForm[ "  *** MENU INTERFACE ***  (page: ", 1, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("  1) KdV Equation (d_kdv.m)"\)], "Print"],

Cell[BoxData[
    \("  2) Modified KdV Equation (d_mkdv.m)"\)], "Print"],

Cell[BoxData[
    \("  3) Fifth Order KdV Equation-parameterized (d_5kdv.m)"\)], "Print"],

Cell[BoxData[
    \("  4) Fifth Order KdV Equation-Lax Case (d_5lax.m)"\)], "Print"],

Cell[BoxData[
    \("  5) Fifth Order KdV Equation-SK Case (d_5sk.m)"\)], "Print"],

Cell[BoxData[
    \("  6) Fifth Order KdV Equation-KK Case (d_5kk.m)"\)], "Print"],

Cell[BoxData[
    \("  7) Fifth Order KdV Equation-Ito Case (d_5ito.m)"\)], "Print"],

Cell[BoxData[
    \("  8) Seventh Order KdV Equation-parameterized (d_7kdv.m)"\)], "Print"],

Cell[BoxData[
    \("  9) Seventh Order KdV Equation-Lax Case (d_7lax.m)"\)], "Print"],

Cell[BoxData[
    \(" 10) Seventh Order KdV Equation-SK-Ito Case (d_7ski.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("------------------------------------------------------------"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[\("  *** MENU INTERFACE ***  (page: "\[InvisibleSpace]2\
\[InvisibleSpace]")"\),
      SequenceForm[ "  *** MENU INTERFACE ***  (page: ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    \(" 11) Seventh Order KdV Equation KK Case (d_7kk.m)"\)], "Print"],

Cell[BoxData[
    \(" 12) Schamel Equation (d_scham.m)"\)], "Print"],

Cell[BoxData[
    \(" 13) Rosenau-Hyman Equation (d_roshy.m)"\)], "Print"],

Cell[BoxData[
    \(" 14) Hirota-Satsuma System-parameterized (d_phrsat.m)"\)], "Print"],

Cell[BoxData[
    \(" 15) Hirota-Satsuma System (d_hirsat.m)"\)], "Print"],

Cell[BoxData[
    \(" 16) Ito System-parameterized (d_pito.m)"\)], "Print"],

Cell[BoxData[
    \(" 17) Ito System (d_ito.m)"\)], "Print"],

Cell[BoxData[
    \(" 18) NLS System (real and imaginary parts) (d_nls.m)"\)], "Print"],

Cell[BoxData[
    \(" 19) NLS System (equation and conjugate) (d_nlsalt.m)"\)], "Print"],

Cell[BoxData[
    \(" 20) DNLS System (d_dnls.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("------------------------------------------------------------"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[\("  *** MENU INTERFACE ***  (page: "\[InvisibleSpace]3\
\[InvisibleSpace]")"\),
      SequenceForm[ "  *** MENU INTERFACE ***  (page: ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    \(" 21) MVDNLS System (d_mvdnls.m)"\)], "Print"],

Cell[BoxData[
    \(" 22) Kaup System-parameterized (d_pkaup.m)"\)], "Print"],

Cell[BoxData[
    \(" 23) Kaup System (d_kaup.m)"\)], "Print"],

Cell[BoxData[
    \(" 24) Kaup-Broer System (d_broer.m)"\)], "Print"],

Cell[BoxData[
    \(" 25) Drinfel'd-Sokolov System (d_soko.m)"\)], "Print"],

Cell[BoxData[
    \(" 26) Dispersive Long Wave System (d_disper.m)"\)], "Print"],

Cell[BoxData[
    \(" 27) Non-dispersive Long Wave System (d_nodisp.m)"\)], "Print"],

Cell[BoxData[
    \(" 28) 3-Component KdV System (d_3ckdv.m)"\)], "Print"],

Cell[BoxData[
    \(" 29) 2-Component Nonlinear Schrodinger Equation (d_2cnls.m)"\)], \
"Print"],

Cell[BoxData[
    \(" 30) Boussinesq System (d_bous.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("------------------------------------------------------------"\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("        WELCOME TO THE MATHEMATICA PROGRAM               "\)], "Print"],

Cell[BoxData[
    \("         by UNAL GOKTAS and WILLY HEREMAN                "\)], "Print"],

Cell[BoxData[
    \("    FOR THE COMPUTATION OF CONSERVED DENSITIES,          "\)], "Print"],

Cell[BoxData[
    \("       FLUXES, AND COMPATIBILITY CONDITIONS              "\)], "Print"],

Cell[BoxData[
    \("            Last updated: August 5, 2009                 "\)], "Print"],

Cell[BoxData[
    \("         Previously updated: October 3, 2007             "\)], "Print"],

Cell[BoxData[
    \("           First released on May 4, 1998                 "\)], "Print"],

Cell[BoxData[
    \("                Copyright 1998-2009                      "\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Working with the data file for the \
"\[InvisibleSpace]"Boussinesq System"\[InvisibleSpace]"."\),
      SequenceForm[ 
      "Working with the data file for the ", "Boussinesq System", "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Equation "\[InvisibleSpace]1\[InvisibleSpace]" of \
the system with "\[InvisibleSpace]2\[InvisibleSpace]" equation(s):"\),
      SequenceForm[ 
      "Equation ", 1, " of the system with ", 2, " equation(s):"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"  \"\>", "\[InvisibleSpace]", 
        RowBox[{
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False], "+", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False]}], "\[InvisibleSpace]", "\<\" = 0\"\>"}],
      SequenceForm[ "  ", 
        Plus[ 
          SequenceForm[ u, 
            Subscript[ 1], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]], 
          SequenceForm[ u, 
            Subscript[ 2], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ x]]]], " = 0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Equation "\[InvisibleSpace]2\[InvisibleSpace]" of \
the system with "\[InvisibleSpace]2\[InvisibleSpace]" equation(s):"\),
      SequenceForm[ 
      "Equation ", 2, " of the system with ", 2, " equation(s):"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"  \"\>", "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{"bb", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "-", 
          RowBox[{"3", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "-", 
          RowBox[{"aa", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      
                      InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]\
x\),
                        SequenceForm[ x, x, x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x, x, x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x, x, x]]],
                Editable->False], ")"}]}], "+", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False]}], "\[InvisibleSpace]", "\<\" = 0\"\>"}],
      SequenceForm[ "  ", 
        Plus[ 
          Times[ bb, 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ -3, 
            SequenceForm[ u, 
              Subscript[ 1]], 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ -1, aa, 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]]], 
          SequenceForm[ u, 
            Subscript[ 2], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]]], " = 0"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The list of all parameters is "\[InvisibleSpace]{aa, 
          bb}\[InvisibleSpace]".          "\),
      SequenceForm[ 
      "The list of all parameters is ", {aa, bb}, ".          "],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The software assumes that all these parameters are nonzero."\)], \
"Print"],

Cell[BoxData[
    \("Cases where parameters are set zero must be run separately."\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Highest order of derivative in the system is "\
\[InvisibleSpace]3\[InvisibleSpace]"."\),
      SequenceForm[ "Highest order of derivative in the system is ", 3, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Program determines the weights of the variables (and parameters)."\)], \
"Print"],

Cell[BoxData[
    \("For the given system:"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("* weight of u["\[InvisibleSpace]1\[InvisibleSpace]"] \
is "\[InvisibleSpace]2\[InvisibleSpace]"."\),
      SequenceForm[ "* weight of u[", 1, "] is ", 2, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("* weight of u["\[InvisibleSpace]2\[InvisibleSpace]"] \
is "\[InvisibleSpace]3\[InvisibleSpace]"."\),
      SequenceForm[ "* weight of u[", 2, "] is ", 3, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("* weight of "\[InvisibleSpace]bb\[InvisibleSpace]" \
is "\[InvisibleSpace]2\[InvisibleSpace]"."\),
      SequenceForm[ "* weight of ", bb, " is ", 2, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("* weight of d/dt is "\[InvisibleSpace]2\
\[InvisibleSpace]"."\),
      SequenceForm[ "* weight of d/dt is ", 2, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The rank of rho should be an integer multiple of the lowest \
weight"\)], "Print"],

Cell[BoxData[
    \("of the DEPENDENT variable(s). Fractional weights are allowed."\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computation of the density (and flux) of RANK = "\
\[InvisibleSpace]6\),
      SequenceForm[ "Computation of the density (and flux) of RANK = ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Starting the construction of the form of the density."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("For RANK = "\[InvisibleSpace]6\[InvisibleSpace]", \
this is the form of density rho[x,t]: "\),
      SequenceForm[ 
      "For RANK = ", 6, ", this is the form of density rho[x,t]: "],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(bb\^2\), " ", \(c[1]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}]}], "+", 
      RowBox[{"bb", " ", \(c[2]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[3]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"]}], "+", 
      RowBox[{\(c[4]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[5]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[6]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The highest-order of the terms in rho is "\
\[InvisibleSpace]1\[InvisibleSpace]"."\),
      SequenceForm[ "The highest-order of the terms in rho is ", 1, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Applying the Euler operator (the variational derivative)."\)], "Print"],

Cell[BoxData[
    \("Finished with variational differentiation."\)], "Print"],

Cell[BoxData[
    \("Starting the construction of the system for the c[i]."\)], "Print"],

Cell[BoxData[
    \("Starting the first simplification of the system."\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("This is the system of the c[i] (after the first simplification):"\)], \
"Print"],

Cell[BoxData[
    \({c[2] - c[4] \[Equal] 0, c[3] + c[4] \[Equal] 0, c[5] \[Equal] 0, 
      aa\ c[4] - c[6] \[Equal] 0}\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The simplified system has "\[InvisibleSpace]4\
\[InvisibleSpace]" equations."\),
      SequenceForm[ "The simplified system has ", 4, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("Starting the second simplification of the system."\)], "Print"],

Cell[BoxData[
    \("This is the system for the c[i] (after second simplification):"\)], \
"Print"],

Cell[BoxData[
    \({c[2] - c[4] \[Equal] 0, c[3] + c[4] \[Equal] 0, c[5] \[Equal] 0, 
      aa\ c[4] - c[6] \[Equal] 0}\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The simplified system has "\[InvisibleSpace]4\
\[InvisibleSpace]" equations."\),
      SequenceForm[ "The simplified system has ", 4, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The simplified system for the coefficients c[i] has \
"\[InvisibleSpace]2\[InvisibleSpace]" parameter(s)."\),
      SequenceForm[ 
      "The simplified system for the coefficients c[i] has ", 2, 
        " parameter(s)."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The system of PDEs, rank and form of rho, the system for"\)], "Print"],

Cell[BoxData[
    \("c[i], its coefficient matrix, and the lists of unknowns and"\)], \
"Print"],

Cell[BoxData[
    \("parameters, will all be saved in the file workcond.m for"\)], "Print"],

Cell[BoxData[
    \("further analysis. For analysis use the Mathematica functions"\)], \
"Print"],

Cell[BoxData[
    \("Reduce, Solve, etc. Load the file workcond.m with the command"\)], \
"Print"],

Cell[BoxData[
    \("<<workcond.m ."\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("Starting the repeated analysis and simplification of the system."\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("Starting the repeated analysis and simplification of the system."\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("This is the list of c[i] that must be zero: "\)], "Print"],

Cell[BoxData[
    \({c[5] \[Equal] 0}\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("This is the simplified system for the (potentially nonzero) c[i]:"\)], \
"Print"],

Cell[BoxData[
    \({c[2] - c[4] \[Equal] 0, c[3] + c[4] \[Equal] 0, 
      aa\ c[4] - c[6] \[Equal] 0}\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The simplified system has "\[InvisibleSpace]3\
\[InvisibleSpace]" equations."\),
      SequenceForm[ "The simplified system has ", 3, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("Starting the search for compatibility conditions."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The software will assume that "\[InvisibleSpace]\(aa \
\[NotEqual] 0 && bb \[NotEqual] 0\)\[InvisibleSpace]"."\),
      SequenceForm[ "The software will assume that ", 
        And[ 
          Unequal[ aa, 0], 
          Unequal[ bb, 0]], "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Cases where one or more of these parameters are zero must be run \
separately!"\)], "Print"],

Cell[BoxData[
    \("The program will set the nonzero coefficients equal to 1, one at the \
time."\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("* Setting "\[InvisibleSpace]\(c[1] \[Rule] 
          1\)\[InvisibleSpace]":"\),
      SequenceForm[ "* Setting ", c[ 1] -> 1, ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Computation of the compatibility conditions."\)], "Print"],

Cell[BoxData[
    \("This is the compatibility condition (with duplicates):"\)], "Print"],

Cell[BoxData[
    \(True\)], "Print"],

Cell[BoxData[
    \("This is the compatibility condition (without duplicates):"\)], "Print"],

Cell[BoxData[
    \(True\)], "Print"],

Cell[BoxData[
    \("The compatibility condition is satisfied without constraints"\)], \
"Print"],

Cell[BoxData[
    \("on the parameters."\)], "Print"],

Cell[BoxData[
    RowBox[{\(Solve::"svars"\), \(\(:\)\(\ \)\), "\<\"Equations may not give \
solutions for all \\\"solve\\\" variables. \\!\\(\\*ButtonBox[\\\"More\
\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"Solve::svars\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \("The solution of the system is "\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] 1, c[2] \[Rule] c[6]\/aa, c[3] \[Rule] \(-\(c[6]\/aa\)\), 
      c[4] \[Rule] c[6]\/aa, c[5] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("Starting the computation of the flux."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Starting the integration of D_t(rho) with "\
\[InvisibleSpace]7\[InvisibleSpace]" terms,"\),
      SequenceForm[ 
      "Starting the integration of D_t(rho) with ", 7, " terms,"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("WARNING!"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Both rho[x,t] and j[x,t] were divided by: "\
\[InvisibleSpace]bb\^2\[InvisibleSpace]"."\),
      SequenceForm[ "Both rho[x,t] and j[x,t] were divided by: ", 
        Power[ bb, 2], "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("The normalized density rho[x,t] is:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        RowBox[{"u", "\[InvisibleSpace]", 
          InterpretationBox[\(\[Null]\_1\),
            Subscript[ 1],
            Editable->False]}],
        SequenceForm[ u, 
          Subscript[ 1]],
        Editable->False], "+", 
      FractionBox[
        RowBox[{\(c[6]\), " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], "2"]}], \(aa\ bb\)], "-", 
      FractionBox[
        RowBox[{\(c[6]\), " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], "3"]}], \(aa\ bb\^2\)], "+", 
      FractionBox[
        RowBox[{\(c[6]\), " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], "2"]}], \(aa\ bb\^2\)], "+", 
      FractionBox[
        RowBox[{\(c[6]\), " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}], "2"]}], \(bb\^2\)]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There is/are "\[InvisibleSpace]1\[InvisibleSpace]" \
free coefficient(s)."\),
      SequenceForm[ "There is/are ", 1, " free coefficient(s)."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The free coefficients are: "\[InvisibleSpace]{c[
            6]}\[InvisibleSpace]"."\),
      SequenceForm[ "The free coefficients are: ", {
        c[ 6]}, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Splitting the expression in independent pieces."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Part of the expression with coefficient "\
\[InvisibleSpace]c[6]\[InvisibleSpace]":"\),
      SequenceForm[ "Part of the expression with coefficient ", 
        c[ 6], ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      FractionBox[
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], \(aa\ bb\)], "-", 
      FractionBox[
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], \(aa\ bb\^2\)], "+", 
      FractionBox[
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "2"], \(aa\ bb\^2\)], "+", 
      FractionBox[
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"], \(bb\^2\)]}]], "Print"],

Cell[BoxData[
    \("Part of the expression without free coefficient:"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"u", "\[InvisibleSpace]", 
        InterpretationBox[\(\[Null]\_1\),
          Subscript[ 1],
          Editable->False]}],
      SequenceForm[ u, 
        Subscript[ 1]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("The corresponding flux j[x,t] is:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        RowBox[{"u", "\[InvisibleSpace]", 
          InterpretationBox[\(\[Null]\_2\),
            Subscript[ 2],
            Editable->False]}],
        SequenceForm[ u, 
          Subscript[ 2]],
        Editable->False], "+", 
      FractionBox[
        RowBox[{"2", " ", \(c[6]\), " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}]}], \(aa\ bb\)], "-", 
      FractionBox[
        RowBox[{"3", " ", \(c[6]\), " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], "2"], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}]}], \(aa\ bb\^2\)], "-", 
      FractionBox[
        RowBox[{"2", " ", \(c[6]\), " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}]}], \(bb\^2\)], "+", 
      FractionBox[
        RowBox[{"2", " ", \(c[6]\), " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}]}], \(bb\^2\)]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There is/are "\[InvisibleSpace]1\[InvisibleSpace]" \
free coefficient(s)."\),
      SequenceForm[ "There is/are ", 1, " free coefficient(s)."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The free coefficients are: "\[InvisibleSpace]{c[
            6]}\[InvisibleSpace]"."\),
      SequenceForm[ "The free coefficients are: ", {
        c[ 6]}, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Splitting the expression in independent pieces."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Part of the expression with coefficient "\
\[InvisibleSpace]c[6]\[InvisibleSpace]":"\),
      SequenceForm[ "Part of the expression with coefficient ", 
        c[ 6], ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{\(\(2\ \(u[1]\)[x, t]\ \(u[2]\)[x, t]\)\/\(aa\ bb\)\), 
      "-", \(\(3\ \(u[1]\)[x, t]\^2\ \(u[2]\)[x, t]\)\/\(aa\ bb\^2\)\), "+", 
      FractionBox[
        RowBox[{"2", " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
          RowBox[{
            SuperscriptBox[\(u[2]\), 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}]}], \(bb\^2\)], 
      "-", 
      FractionBox[
        RowBox[{"2", " ", \(\(u[2]\)[x, t]\), " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((2, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), 
            "]"}]}], \(bb\^2\)]}]], "Print"],

Cell[BoxData[
    \("Part of the expression without free coefficient:"\)], "Print"],

Cell[BoxData[
    \(\(u[2]\)[x, t]\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Result of explicit verification: (rho_t + J_x) = "\
\[InvisibleSpace]0\),
      SequenceForm[ "Result of explicit verification: (rho_t + J_x) = ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("* Setting "\[InvisibleSpace]\(c[6] \[Rule] 
          1\)\[InvisibleSpace]":"\),
      SequenceForm[ "* Setting ", c[ 6] -> 1, ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Computation of the compatibility conditions."\)], "Print"],

Cell[BoxData[
    \("This is the compatibility condition (with duplicates):"\)], "Print"],

Cell[BoxData[
    \(True\)], "Print"],

Cell[BoxData[
    \("This is the compatibility condition (without duplicates):"\)], "Print"],

Cell[BoxData[
    \(True\)], "Print"],

Cell[BoxData[
    \("The compatibility condition is satisfied without constraints"\)], \
"Print"],

Cell[BoxData[
    \("on the parameters."\)], "Print"],

Cell[BoxData[
    RowBox[{\(Solve::"svars"\), \(\(:\)\(\ \)\), "\<\"Equations may not give \
solutions for all \\\"solve\\\" variables. \\!\\(\\*ButtonBox[\\\"More\
\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"Solve::svars\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \("The solution of the system is "\)], "Print"],

Cell[BoxData[
    \({c[2] \[Rule] 1\/aa, c[3] \[Rule] \(-\(1\/aa\)\), c[4] \[Rule] 1\/aa, 
      c[5] \[Rule] 0, c[6] \[Rule] 1}\)], "Print"],

Cell[BoxData[
    \("Starting the computation of the flux."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Starting the integration of D_t(rho) with "\
\[InvisibleSpace]7\[InvisibleSpace]" terms,"\),
      SequenceForm[ 
      "Starting the integration of D_t(rho) with ", 7, " terms,"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("WARNING!"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Both rho[x,t] and j[x,t] were divided by: "\
\[InvisibleSpace]bb\^2\[InvisibleSpace]"."\),
      SequenceForm[ "Both rho[x,t] and j[x,t] were divided by: ", 
        Power[ bb, 2], "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("The normalized density rho[x,t] is:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(c[1]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}]}], "+", 
      FractionBox[
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], \(aa\ bb\)], "-", 
      FractionBox[
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], \(aa\ bb\^2\)], "+", 
      FractionBox[
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "2"], \(aa\ bb\^2\)], "+", 
      FractionBox[
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"], \(bb\^2\)]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There is/are "\[InvisibleSpace]1\[InvisibleSpace]" \
free coefficient(s)."\),
      SequenceForm[ "There is/are ", 1, " free coefficient(s)."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The free coefficients are: "\[InvisibleSpace]{c[
            1]}\[InvisibleSpace]"."\),
      SequenceForm[ "The free coefficients are: ", {
        c[ 1]}, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Splitting the expression in independent pieces."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Part of the expression with coefficient "\
\[InvisibleSpace]c[1]\[InvisibleSpace]":"\),
      SequenceForm[ "Part of the expression with coefficient ", 
        c[ 1], ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"u", "\[InvisibleSpace]", 
        InterpretationBox[\(\[Null]\_1\),
          Subscript[ 1],
          Editable->False]}],
      SequenceForm[ u, 
        Subscript[ 1]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Part of the expression without free coefficient:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      FractionBox[
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], \(aa\ bb\)], "-", 
      FractionBox[
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], \(aa\ bb\^2\)], "+", 
      FractionBox[
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "2"], \(aa\ bb\^2\)], "+", 
      FractionBox[
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"], \(bb\^2\)]}]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("The corresponding flux j[x,t] is:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(c[1]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}]}], "+", 
      FractionBox[
        RowBox[{"2", " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}]}], \(aa\ bb\)], "-", 
      FractionBox[
        RowBox[{"3", " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], "2"], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}]}], \(aa\ bb\^2\)], "-", 
      FractionBox[
        RowBox[{"2", " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}]}], \(bb\^2\)], "+", 
      FractionBox[
        RowBox[{"2", " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}]}], \(bb\^2\)]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There is/are "\[InvisibleSpace]1\[InvisibleSpace]" \
free coefficient(s)."\),
      SequenceForm[ "There is/are ", 1, " free coefficient(s)."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The free coefficients are: "\[InvisibleSpace]{c[
            1]}\[InvisibleSpace]"."\),
      SequenceForm[ "The free coefficients are: ", {
        c[ 1]}, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Splitting the expression in independent pieces."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Part of the expression with coefficient "\
\[InvisibleSpace]c[1]\[InvisibleSpace]":"\),
      SequenceForm[ "Part of the expression with coefficient ", 
        c[ 1], ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(u[2]\)[x, t]\)], "Print"],

Cell[BoxData[
    \("Part of the expression without free coefficient:"\)], "Print"],

Cell[BoxData[
    RowBox[{\(\(2\ \(u[1]\)[x, t]\ \(u[2]\)[x, t]\)\/\(aa\ bb\)\), 
      "-", \(\(3\ \(u[1]\)[x, t]\^2\ \(u[2]\)[x, t]\)\/\(aa\ bb\^2\)\), "+", 
      FractionBox[
        RowBox[{"2", " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
          RowBox[{
            SuperscriptBox[\(u[2]\), 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}]}], \(bb\^2\)], 
      "-", 
      FractionBox[
        RowBox[{"2", " ", \(\(u[2]\)[x, t]\), " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((2, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), 
            "]"}]}], \(bb\^2\)]}]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Result of explicit verification: (rho_t + J_x) = "\
\[InvisibleSpace]0\),
      SequenceForm[ "Result of explicit verification: (rho_t + J_x) = ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("********************* BEGIN SUMMARY *********************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Total CPU time used in the current session is "\
\[InvisibleSpace]4\[InvisibleSpace]" seconds."\),
      SequenceForm[ 
      "Total CPU time used in the current session is ", 4, " seconds."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The software computed "\[InvisibleSpace]2\
\[InvisibleSpace]" different densities with their corresponding fluxes."\),
      SequenceForm[ 
      "The software computed ", 2, 
        " different densities with their corresponding fluxes."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("To see a list of all the densities type: listallrhos,"\)], "Print"],

Cell[BoxData[
    \("or pdeform[listallrhos]."\)], "Print"],

Cell[BoxData[
    \("To see the last density type: rho[x,t], or pdeform[rho[x,t]]."\)], \
"Print"],

Cell[BoxData[
    \("To split the last density in independent pieces type: "\)], "Print"],

Cell[BoxData[
    \("split[rho[x,t]], or split[pdeform[rho[x,t]]]."\)], "Print"],

Cell[BoxData[
    \("To see a list of all the fluxes type: listallfluxes,"\)], "Print"],

Cell[BoxData[
    \("or pdeform[listallfluxes]."\)], "Print"],

Cell[BoxData[
    \("To see the last flux type: j[x,t], or pdeform[j[x,t]]."\)], "Print"],

Cell[BoxData[
    \("To split the last flux in independent pieces type: split[j[x,t]],"\)], \
"Print"],

Cell[BoxData[
    \("or split[pdeform[j[x,t]]]."\)], "Print"],

Cell[BoxData[
    \("********************** END SUMMARY **********************"\)], "Print"],

Cell[BoxData[
    \("Code condens2007.m (October 3, 2007) successfully loaded."\)], "Print"],

Cell[BoxData[
    \("Updated version: August 5, 2009."\)], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(listallrhos\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{\(c[1]\ \(u[1]\)[x, t]\), 
          "+", \(\(u[1]\)[x, t]\^2\/\(aa\ bb\)\), 
          "-", \(\(u[1]\)[x, t]\^3\/\(aa\ bb\^2\)\), 
          "+", \(\(u[2]\)[x, t]\^2\/\(aa\ bb\^2\)\), "+", 
          FractionBox[
            SuperscriptBox[
              RowBox[{
                SuperscriptBox[\(u[1]\), 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], 
              "2"], \(bb\^2\)]}], ",", 
        RowBox[{\(\(u[1]\)[x, t]\), 
          "+", \(\(c[6]\ \(u[1]\)[x, t]\^2\)\/\(aa\ bb\)\), 
          "-", \(\(c[6]\ \(u[1]\)[x, t]\^3\)\/\(aa\ bb\^2\)\), 
          "+", \(\(c[6]\ \(u[2]\)[x, t]\^2\)\/\(aa\ bb\^2\)\), "+", 
          FractionBox[
            RowBox[{\(c[6]\), " ", 
              SuperscriptBox[
                RowBox[{
                  SuperscriptBox[\(u[1]\), 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t\), "]"}], 
                "2"]}], \(bb\^2\)]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(listallfluxes\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{\(c[1]\ \(u[2]\)[x, t]\), 
          "+", \(\(2\ \(u[1]\)[x, t]\ \(u[2]\)[x, t]\)\/\(aa\ bb\)\), 
          "-", \(\(3\ \(u[1]\)[x, t]\^2\ \(u[2]\)[x, t]\)\/\(aa\ bb\^2\)\), 
          "+", 
          FractionBox[
            RowBox[{"2", " ", 
              RowBox[{
                SuperscriptBox[\(u[1]\), 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(u[2]\), 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), 
                "]"}]}], \(bb\^2\)], "-", 
          FractionBox[
            RowBox[{"2", " ", \(\(u[2]\)[x, t]\), " ", 
              RowBox[{
                SuperscriptBox[\(u[1]\), 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), 
                "]"}]}], \(bb\^2\)]}], ",", 
        RowBox[{\(\(u[2]\)[x, t]\), 
          "+", \(\(2\ c[6]\ \(u[1]\)[x, t]\ \(u[2]\)[x, t]\)\/\(aa\ bb\)\), 
          "-", \(\(3\ c[6]\ \(u[1]\)[x, t]\^2\ \(u[2]\)[x, 
                  t]\)\/\(aa\ bb\^2\)\), "+", 
          FractionBox[
            RowBox[{"2", " ", \(c[6]\), " ", 
              RowBox[{
                SuperscriptBox[\(u[1]\), 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(u[2]\), 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), 
                "]"}]}], \(bb\^2\)], "-", 
          FractionBox[
            RowBox[{"2", " ", \(c[6]\), " ", \(\(u[2]\)[x, t]\), " ", 
              RowBox[{
                SuperscriptBox[\(u[1]\), 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), 
                "]"}]}], \(bb\^2\)]}]}], "}"}]], "Output"]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 941}},
WindowSize->{1014, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
ShowSelection->True,
Magnification->1.5
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 77, 1, 42, "Input"],
Cell[1856, 56, 60, 1, 41, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1953, 62, 57, 1, 42, "Input"],
Cell[2013, 65, 80, 1, 35, "Print"],
Cell[2096, 68, 67, 1, 35, "Print"],
Cell[2166, 71, 216, 4, 35, "Print"],
Cell[2385, 77, 92, 1, 35, "Print"],
Cell[2480, 80, 62, 1, 35, "Print"],
Cell[2545, 83, 72, 1, 35, "Print"],
Cell[2620, 86, 89, 1, 35, "Print"],
Cell[2712, 89, 84, 1, 35, "Print"],
Cell[2799, 92, 82, 1, 35, "Print"],
Cell[2884, 95, 82, 1, 35, "Print"],
Cell[2969, 98, 84, 1, 35, "Print"],
Cell[3056, 101, 91, 1, 35, "Print"],
Cell[3150, 104, 86, 1, 35, "Print"],
Cell[3239, 107, 89, 1, 35, "Print"],
Cell[3331, 110, 49, 1, 35, "Print"],
Cell[3383, 113, 51, 1, 35, "Print"],
Cell[3437, 116, 56, 1, 35, "Print"],
Cell[3496, 119, 97, 2, 35, "Print"],
Cell[3596, 123, 216, 4, 35, "Print"],
Cell[3815, 129, 92, 1, 35, "Print"],
Cell[3910, 132, 84, 1, 35, "Print"],
Cell[3997, 135, 68, 1, 35, "Print"],
Cell[4068, 138, 74, 1, 35, "Print"],
Cell[4145, 141, 88, 1, 35, "Print"],
Cell[4236, 144, 74, 1, 35, "Print"],
Cell[4313, 147, 75, 1, 35, "Print"],
Cell[4391, 150, 60, 1, 35, "Print"],
Cell[4454, 153, 87, 1, 35, "Print"],
Cell[4544, 156, 88, 1, 35, "Print"],
Cell[4635, 159, 62, 1, 35, "Print"],
Cell[4700, 162, 49, 1, 35, "Print"],
Cell[4752, 165, 51, 1, 35, "Print"],
Cell[4806, 168, 56, 1, 35, "Print"],
Cell[4865, 171, 97, 2, 35, "Print"],
Cell[4965, 175, 216, 4, 35, "Print"],
Cell[5184, 181, 92, 1, 35, "Print"],
Cell[5279, 184, 66, 1, 35, "Print"],
Cell[5348, 187, 77, 1, 35, "Print"],
Cell[5428, 190, 62, 1, 35, "Print"],
Cell[5493, 193, 69, 1, 35, "Print"],
Cell[5565, 196, 75, 1, 35, "Print"],
Cell[5643, 199, 80, 1, 35, "Print"],
Cell[5726, 202, 84, 1, 35, "Print"],
Cell[5813, 205, 74, 1, 35, "Print"],
Cell[5890, 208, 96, 2, 35, "Print"],
Cell[5989, 212, 68, 1, 35, "Print"],
Cell[6060, 215, 49, 1, 35, "Print"],
Cell[6112, 218, 51, 1, 35, "Print"],
Cell[6166, 221, 56, 1, 35, "Print"],
Cell[6225, 224, 97, 2, 35, "Print"],
Cell[6325, 228, 92, 1, 35, "Print"],
Cell[6420, 231, 92, 1, 35, "Print"],
Cell[6515, 234, 92, 1, 35, "Print"],
Cell[6610, 237, 92, 1, 35, "Print"],
Cell[6705, 240, 92, 1, 35, "Print"],
Cell[6800, 243, 92, 1, 35, "Print"],
Cell[6895, 246, 92, 1, 35, "Print"],
Cell[6990, 249, 92, 1, 35, "Print"],
Cell[7085, 252, 92, 1, 35, "Print"],
Cell[7180, 255, 92, 1, 35, "Print"],
Cell[7275, 258, 263, 5, 35, "Print"],
Cell[7541, 265, 283, 5, 35, "Print"],
Cell[7827, 272, 2179, 60, 35, "Print"],
Cell[10009, 334, 283, 5, 35, "Print"],
Cell[10295, 341, 5196, 136, 35, "Print"],
Cell[15494, 479, 92, 1, 35, "Print"],
Cell[15589, 482, 260, 5, 35, "Print"],
Cell[15852, 489, 96, 2, 35, "Print"],
Cell[15951, 493, 96, 2, 35, "Print"],
Cell[16050, 497, 92, 1, 35, "Print"],
Cell[16145, 500, 240, 4, 35, "Print"],
Cell[16388, 506, 102, 2, 35, "Print"],
Cell[16493, 510, 56, 1, 35, "Print"],
Cell[16552, 513, 232, 4, 35, "Print"],
Cell[16787, 519, 232, 4, 35, "Print"],
Cell[17022, 525, 228, 4, 35, "Print"],
Cell[17253, 531, 190, 4, 35, "Print"],
Cell[17446, 537, 103, 2, 35, "Print"],
Cell[17552, 541, 98, 2, 35, "Print"],
Cell[17653, 545, 92, 1, 35, "Print"],
Cell[17748, 548, 221, 4, 35, "Print"],
Cell[17972, 554, 88, 1, 35, "Print"],
Cell[18063, 557, 257, 5, 35, "Print"],
Cell[18323, 564, 3775, 102, 37, "Print"],
Cell[22101, 668, 232, 4, 35, "Print"],
Cell[22336, 674, 92, 1, 35, "Print"],
Cell[22431, 677, 77, 1, 35, "Print"],
Cell[22511, 680, 88, 1, 35, "Print"],
Cell[22602, 683, 83, 1, 35, "Print"],
Cell[22688, 686, 92, 1, 35, "Print"],
Cell[22783, 689, 101, 2, 35, "Print"],
Cell[22887, 693, 133, 2, 35, "Print"],
Cell[23023, 697, 222, 4, 35, "Print"],
Cell[23248, 703, 92, 1, 35, "Print"],
Cell[23343, 706, 84, 1, 35, "Print"],
Cell[23430, 709, 99, 2, 35, "Print"],
Cell[23532, 713, 133, 2, 35, "Print"],
Cell[23668, 717, 222, 4, 35, "Print"],
Cell[23893, 723, 296, 6, 35, "Print"],
Cell[24192, 731, 91, 1, 35, "Print"],
Cell[24286, 734, 96, 2, 35, "Print"],
Cell[24385, 738, 91, 1, 35, "Print"],
Cell[24479, 741, 97, 2, 35, "Print"],
Cell[24579, 745, 98, 2, 35, "Print"],
Cell[24680, 749, 49, 1, 35, "Print"],
Cell[24732, 752, 92, 1, 35, "Print"],
Cell[24827, 755, 101, 2, 35, "Print"],
Cell[24931, 759, 92, 1, 35, "Print"],
Cell[25026, 762, 101, 2, 35, "Print"],
Cell[25130, 766, 92, 1, 35, "Print"],
Cell[25225, 769, 79, 1, 35, "Print"],
Cell[25307, 772, 50, 1, 35, "Print"],
Cell[25360, 775, 92, 1, 35, "Print"],
Cell[25455, 778, 102, 2, 35, "Print"],
Cell[25560, 782, 116, 2, 35, "Print"],
Cell[25679, 786, 222, 4, 35, "Print"],
Cell[25904, 792, 92, 1, 35, "Print"],
Cell[25999, 795, 84, 1, 35, "Print"],
Cell[26086, 798, 317, 7, 35, "Print"],
Cell[26406, 807, 113, 2, 35, "Print"],
Cell[26522, 811, 111, 2, 35, "Print"],
Cell[26636, 815, 92, 1, 35, "Print"],
Cell[26731, 818, 205, 4, 35, "Print"],
Cell[26939, 824, 79, 1, 35, "Print"],
Cell[27021, 827, 89, 1, 35, "Print"],
Cell[27113, 830, 37, 1, 35, "Print"],
Cell[27153, 833, 92, 1, 35, "Print"],
Cell[27248, 836, 37, 1, 35, "Print"],
Cell[27288, 839, 97, 2, 35, "Print"],
Cell[27388, 843, 53, 1, 35, "Print"],
Cell[27444, 846, 298, 4, 32, "Message"],
Cell[27745, 852, 65, 1, 35, "Print"],
Cell[27813, 855, 150, 2, 51, "Print"],
Cell[27966, 859, 72, 1, 35, "Print"],
Cell[28041, 862, 253, 5, 35, "Print"],
Cell[28297, 869, 43, 1, 35, "Print"],
Cell[28343, 872, 259, 5, 37, "Print"],
Cell[28605, 879, 92, 1, 35, "Print"],
Cell[28700, 882, 70, 1, 35, "Print"],
Cell[28773, 885, 2694, 71, 58, "Print"],
Cell[31470, 958, 216, 4, 35, "Print"],
Cell[31689, 964, 235, 5, 35, "Print"],
Cell[31927, 971, 82, 1, 35, "Print"],
Cell[32012, 974, 246, 5, 35, "Print"],
Cell[32261, 981, 2195, 59, 58, "Print"],
Cell[34459, 1042, 83, 1, 35, "Print"],
Cell[34545, 1045, 256, 8, 35, "Print"],
Cell[34804, 1055, 92, 1, 35, "Print"],
Cell[34899, 1058, 68, 1, 35, "Print"],
Cell[34970, 1061, 5065, 132, 57, "Print"],
Cell[40038, 1195, 216, 4, 35, "Print"],
Cell[40257, 1201, 235, 5, 35, "Print"],
Cell[40495, 1208, 82, 1, 35, "Print"],
Cell[40580, 1211, 246, 5, 35, "Print"],
Cell[40829, 1218, 891, 23, 107, "Print"],
Cell[41723, 1243, 83, 1, 35, "Print"],
Cell[41809, 1246, 47, 1, 35, "Print"],
Cell[41859, 1249, 92, 1, 35, "Print"],
Cell[41954, 1252, 223, 4, 35, "Print"],
Cell[42180, 1258, 92, 1, 35, "Print"],
Cell[42275, 1261, 92, 1, 35, "Print"],
Cell[42370, 1264, 205, 4, 35, "Print"],
Cell[42578, 1270, 79, 1, 35, "Print"],
Cell[42660, 1273, 89, 1, 35, "Print"],
Cell[42752, 1276, 37, 1, 35, "Print"],
Cell[42792, 1279, 92, 1, 35, "Print"],
Cell[42887, 1282, 37, 1, 35, "Print"],
Cell[42927, 1285, 97, 2, 35, "Print"],
Cell[43027, 1289, 53, 1, 35, "Print"],
Cell[43083, 1292, 298, 4, 32, "Message"],
Cell[43384, 1298, 65, 1, 35, "Print"],
Cell[43452, 1301, 141, 2, 51, "Print"],
Cell[43596, 1305, 72, 1, 35, "Print"],
Cell[43671, 1308, 253, 5, 35, "Print"],
Cell[43927, 1315, 43, 1, 35, "Print"],
Cell[43973, 1318, 259, 5, 37, "Print"],
Cell[44235, 1325, 92, 1, 35, "Print"],
Cell[44330, 1328, 70, 1, 35, "Print"],
Cell[44403, 1331, 2543, 69, 58, "Print"],
Cell[46949, 1402, 216, 4, 35, "Print"],
Cell[47168, 1408, 235, 5, 35, "Print"],
Cell[47406, 1415, 82, 1, 35, "Print"],
Cell[47491, 1418, 246, 5, 35, "Print"],
Cell[47740, 1425, 256, 8, 35, "Print"],
Cell[47999, 1435, 83, 1, 35, "Print"],
Cell[48085, 1438, 2195, 59, 58, "Print"],
Cell[50283, 1499, 92, 1, 35, "Print"],
Cell[50378, 1502, 68, 1, 35, "Print"],
Cell[50449, 1505, 5098, 134, 57, "Print"],
Cell[55550, 1641, 216, 4, 35, "Print"],
Cell[55769, 1647, 235, 5, 35, "Print"],
Cell[56007, 1654, 82, 1, 35, "Print"],
Cell[56092, 1657, 246, 5, 35, "Print"],
Cell[56341, 1664, 47, 1, 35, "Print"],
Cell[56391, 1667, 83, 1, 35, "Print"],
Cell[56477, 1670, 891, 23, 107, "Print"],
Cell[57371, 1695, 92, 1, 35, "Print"],
Cell[57466, 1698, 223, 4, 35, "Print"],
Cell[57692, 1704, 92, 1, 35, "Print"],
Cell[57787, 1707, 92, 1, 35, "Print"],
Cell[57882, 1710, 265, 5, 35, "Print"],
Cell[58150, 1717, 314, 6, 35, "Print"],
Cell[58467, 1725, 88, 1, 35, "Print"],
Cell[58558, 1728, 59, 1, 35, "Print"],
Cell[58620, 1731, 98, 2, 35, "Print"],
Cell[58721, 1735, 89, 1, 35, "Print"],
Cell[58813, 1738, 80, 1, 35, "Print"],
Cell[58896, 1741, 87, 1, 35, "Print"],
Cell[58986, 1744, 61, 1, 35, "Print"],
Cell[59050, 1747, 89, 1, 35, "Print"],
Cell[59142, 1750, 102, 2, 35, "Print"],
Cell[59247, 1754, 61, 1, 35, "Print"],
Cell[59311, 1757, 92, 1, 35, "Print"],
Cell[59406, 1760, 92, 1, 35, "Print"],
Cell[59501, 1763, 67, 1, 35, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[59605, 1769, 44, 1, 42, "Input"],
Cell[59652, 1772, 1136, 27, 168, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[60825, 1804, 46, 1, 42, "Input"],
Cell[60874, 1807, 2154, 52, 214, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

