(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     77781,       2119]*)
(*NotebookOutlinePosition[     78528,       2145]*)
(*  CellTagsIndexPosition[     78484,       2141]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(\(\(\[IndentingNewLine]\)\( (*\ 
      Set\ the\ Directory\ where\ Mathematica\ can\ find\ your\ code . \ 
          For\ example, \
\[IndentingNewLine]SetDirectory["\<c:\\myPCdirectory\\subdirectory\>"]\ *) \)\
\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SetDirectory["\<d:\\democondens\\webtest\>"]\)], "Input"],

Cell[BoxData[
    \("d:\\democondens\\webtest"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<Condens2009.m\>"]\)], "Input"],

Cell[BoxData[
    \("Loading code condens2007.m (October 3, 2007)."\)], "Print"],

Cell[BoxData[
    \("Updated version: August 5, 2009."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("  *** MENU INTERFACE ***  (page: "\[InvisibleSpace]1\
\[InvisibleSpace]")"\),
      SequenceForm[ "  *** MENU INTERFACE ***  (page: ", 1, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("  1) KdV Equation (d_kdv.m)"\)], "Print"],

Cell[BoxData[
    \("  2) Modified KdV Equation (d_mkdv.m)"\)], "Print"],

Cell[BoxData[
    \("  3) Fifth Order KdV Equation-parameterized (d_5kdv.m)"\)], "Print"],

Cell[BoxData[
    \("  4) Fifth Order KdV Equation-Lax Case (d_5lax.m)"\)], "Print"],

Cell[BoxData[
    \("  5) Fifth Order KdV Equation-SK Case (d_5sk.m)"\)], "Print"],

Cell[BoxData[
    \("  6) Fifth Order KdV Equation-KK Case (d_5kk.m)"\)], "Print"],

Cell[BoxData[
    \("  7) Fifth Order KdV Equation-Ito Case (d_5ito.m)"\)], "Print"],

Cell[BoxData[
    \("  8) Seventh Order KdV Equation-parameterized (d_7kdv.m)"\)], "Print"],

Cell[BoxData[
    \("  9) Seventh Order KdV Equation-Lax Case (d_7lax.m)"\)], "Print"],

Cell[BoxData[
    \(" 10) Seventh Order KdV Equation-SK-Ito Case (d_7ski.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("------------------------------------------------------------"\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("        WELCOME TO THE MATHEMATICA PROGRAM               "\)], "Print"],

Cell[BoxData[
    \("         by UNAL GOKTAS and WILLY HEREMAN                "\)], "Print"],

Cell[BoxData[
    \("    FOR THE COMPUTATION OF CONSERVED DENSITIES,          "\)], "Print"],

Cell[BoxData[
    \("       FLUXES, AND COMPATIBILITY CONDITIONS              "\)], "Print"],

Cell[BoxData[
    \("            Last updated: August 5, 2009                 "\)], "Print"],

Cell[BoxData[
    \("         Previously updated: October 3, 2007             "\)], "Print"],

Cell[BoxData[
    \("           First released on May 4, 1998                 "\)], "Print"],

Cell[BoxData[
    \("                Copyright 1998-2009                      "\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Working with the data file for the \
"\[InvisibleSpace]"KdV Equation"\[InvisibleSpace]"."\),
      SequenceForm[ 
      "Working with the data file for the ", "KdV Equation", "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Equation "\[InvisibleSpace]1\[InvisibleSpace]" of \
the system with "\[InvisibleSpace]1\[InvisibleSpace]" equation(s):"\),
      SequenceForm[ 
      "Equation ", 1, " of the system with ", 1, " equation(s):"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"  \"\>", "\[InvisibleSpace]", 
        RowBox[{
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    
                    SequenceForm[ x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]],
            Editable->False]}], "\[InvisibleSpace]", "\<\" = 0\"\>"}],
      SequenceForm[ "  ", 
        Plus[ 
          SequenceForm[ u, 
            Subscript[ 1], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 1]], 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          SequenceForm[ u, 
            Subscript[ 1], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ x, x, x]]]], " = 0"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The list of all parameters is "\[InvisibleSpace]{}\
\[InvisibleSpace]".          "\),
      SequenceForm[ "The list of all parameters is ", {}, ".          "],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The software assumes that all these parameters are nonzero."\)], \
"Print"],

Cell[BoxData[
    \("Cases where parameters are set zero must be run separately."\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Highest order of derivative in the system is "\
\[InvisibleSpace]3\[InvisibleSpace]"."\),
      SequenceForm[ "Highest order of derivative in the system is ", 3, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Program determines the weights of the variables (and parameters)."\)], \
"Print"],

Cell[BoxData[
    \("For the given system:"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("* weight of u["\[InvisibleSpace]1\[InvisibleSpace]"] \
is "\[InvisibleSpace]2\[InvisibleSpace]"."\),
      SequenceForm[ "* weight of u[", 1, "] is ", 2, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("* weight of d/dt is "\[InvisibleSpace]3\
\[InvisibleSpace]"."\),
      SequenceForm[ "* weight of d/dt is ", 3, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The rank of rho should be an integer multiple of the lowest \
weight"\)], "Print"],

Cell[BoxData[
    \("of the DEPENDENT variable(s). Fractional weights are allowed."\)], \
"Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computation of the density (and flux) of RANK = "\
\[InvisibleSpace]12\),
      SequenceForm[ "Computation of the density (and flux) of RANK = ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Starting the construction of the form of the density."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("For RANK = "\[InvisibleSpace]12\[InvisibleSpace]", \
this is the form of density rho[x,t]: "\),
      SequenceForm[ 
      "For RANK = ", 12, ", this is the form of density rho[x,t]: "],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(c[1]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "6"]}], "+", 
      RowBox[{\(c[2]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[3]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "4"]}], "+", 
      RowBox[{\(c[4]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[5]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "3"]}], "+", 
      RowBox[{\(c[6]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\),
                      SequenceForm[ x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[7]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                      SequenceForm[ x, x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x, x]]],
              Editable->False], ")"}], "2"]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The highest-order of the terms in rho is "\
\[InvisibleSpace]4\[InvisibleSpace]"."\),
      SequenceForm[ "The highest-order of the terms in rho is ", 4, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Applying the Euler operator (the variational derivative)."\)], "Print"],

Cell[BoxData[
    \("Finished with variational differentiation."\)], "Print"],

Cell[BoxData[
    \("Starting the construction of the system for the c[i]."\)], "Print"],

Cell[BoxData[
    \("Starting the first simplification of the system."\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("This is the system of the c[i] (after the first simplification):"\)], \
"Print"],

Cell[BoxData[
    \({60\ c[1] + c[2] \[Equal] 0, 9\ c[2] + 5\ c[4] \[Equal] 0, 
      33\ c[2] - 30\ c[3] + 10\ c[4] \[Equal] 0, 
      12\ c[3] - 24\ c[4] + 8\ c[5] - 23\ c[6] \[Equal] 0, 
      18\ c[3] - 21\ c[4] + 12\ c[5] - 17\ c[6] \[Equal] 0, 
      24\ c[3] - 18\ c[4] + 16\ c[5] - 11\ c[6] \[Equal] 0, 
      6\ c[4] + 7\ c[6] \[Equal] 0, 9\ c[5] - 4\ c[6] - 42\ c[7] \[Equal] 0, 
      3\ c[5] - 6\ c[6] - 28\ c[7] \[Equal] 0, 
      c[6] + 3\ c[7] \[Equal] 0}\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The simplified system has "\[InvisibleSpace]10\
\[InvisibleSpace]" equations."\),
      SequenceForm[ "The simplified system has ", 10, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The simplified system for the coefficients c[i] has \
"\[InvisibleSpace]0\[InvisibleSpace]" parameter(s)."\),
      SequenceForm[ 
      "The simplified system for the coefficients c[i] has ", 0, 
        " parameter(s)."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The system of PDEs, rank and form of rho, the system for"\)], "Print"],

Cell[BoxData[
    \("c[i], its coefficient matrix, and the lists of unknowns and"\)], \
"Print"],

Cell[BoxData[
    \("parameters, will all be saved in the file workcond.m for"\)], "Print"],

Cell[BoxData[
    \("further analysis. For analysis use the Mathematica functions"\)], \
"Print"],

Cell[BoxData[
    \("Reduce, Solve, etc. Load the file workcond.m with the command"\)], \
"Print"],

Cell[BoxData[
    \("<<workcond.m ."\)], "Print"],

Cell[BoxData[
    RowBox[{\(Solve::"svars"\), \(\(:\)\(\ \)\), "\<\"Equations may not give \
solutions for all \\\"solve\\\" variables. \\!\\(\\*ButtonBox[\\\"More\
\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"Solve::svars\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("Solution of the system: "\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] \(7\ c[7]\)\/216, c[2] \[Rule] \(-\(\(35\ c[7]\)\/18\)\), 
      c[3] \[Rule] \(-\(\(35\ c[7]\)\/36\)\), c[4] \[Rule] \(7\ c[7]\)\/2, 
      c[5] \[Rule] \(10\ c[7]\)\/3, c[6] \[Rule] \(-3\)\ c[7]}\)], "Print"],

Cell[BoxData[
    \("Starting the computation of the flux."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Starting the integration of D_t(rho) with "\
\[InvisibleSpace]23\[InvisibleSpace]" terms,"\),
      SequenceForm[ 
      "Starting the integration of D_t(rho) with ", 23, " terms,"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Caution! There is a common (free) factor in the density."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Setting "\[InvisibleSpace]{c[7] \[Rule] 
            1}\[InvisibleSpace]"."\),
      SequenceForm[ "Setting ", {c[ 7] -> 1}, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("The normalized density rho[x,t] is:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      SuperscriptBox[
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], "6"], "-", 
      RowBox[{"60", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"]}], "-", 
      RowBox[{"30", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "4"]}], "+", 
      RowBox[{"108", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(720\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "3"]}], "-", 
      RowBox[{\(648\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\),
                      SequenceForm[ x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(216\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                      SequenceForm[ x, x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x, x]]],
              Editable->False], ")"}], "2"]}]}]], "Print"],

Cell[BoxData[
    \("The expression has no free coefficients."\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("The corresponding flux j[x,t] is:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(6\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "7"]}], "-", 
      RowBox[{"75", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "4"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"]}], "-", 
      RowBox[{"120", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "4"]}], "+", 
      RowBox[{"6", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "5"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox[\(x\[InvisibleSpace]x\),
                    SequenceForm[ x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{"180", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox[\(x\[InvisibleSpace]x\),
                    SequenceForm[ x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{"168", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{"396", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "2"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(936\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "3"]}], "-", 
      RowBox[{"120", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    
                    SequenceForm[ x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]],
            Editable->False], ")"}]}], "-", 
      RowBox[{"120", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox["x",
                      SequenceForm[ x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x]]],
              Editable->False], ")"}], "3"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    
                    SequenceForm[ x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]],
            Editable->False], ")"}]}], "-", 
      RowBox[{"432", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox[\(x\[InvisibleSpace]x\),
                    SequenceForm[ x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    
                    SequenceForm[ x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1404\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\),
                      SequenceForm[ x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x]]],
              Editable->False], ")"}], "2"]}], "-", 
      RowBox[{\(648\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox[\(x\[InvisibleSpace]x\),
                    SequenceForm[ x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x]]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\),
                      SequenceForm[ x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{"216", " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox[\(x\[InvisibleSpace]x\),
                    SequenceForm[ x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                    SequenceForm[ x, x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x, x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(2160\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    InterpretationBox[\(x\[InvisibleSpace]x\),
                      SequenceForm[ x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x]]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                    SequenceForm[ x, x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x, x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1296\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    
                    SequenceForm[ x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                    SequenceForm[ x, x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x, x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(864\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                      SequenceForm[ x, x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x, x]]],
              Editable->False], ")"}], "2"]}], "-", 
      RowBox[{\(1296\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    
                    SequenceForm[ x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\[InvisibleSpace]x\),
                    SequenceForm[ x, x, x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x, x, x]]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(216\/7\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_","\),
                  Subscript[ ","],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubscriptBox["\[Null]", 
                    
                    InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\[InvisibleSpace]x\),
                      SequenceForm[ x, x, x, x, x],
                      Editable->False]],
                  Subscript[ 
                    SequenceForm[ x, x, x, x, x]],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1], 
                Subscript[ ","], 
                Subscript[ 
                  SequenceForm[ x, x, x, x, x]]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(432\/7\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\),
                    SequenceForm[ x, x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x, x]]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  
                  InterpretationBox[\(x\[InvisibleSpace]x\[InvisibleSpace]x\
\[InvisibleSpace]x\[InvisibleSpace]x\[InvisibleSpace]x\),
                    SequenceForm[ x, x, x, x, x, x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x, x, x, x, x, x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x, x, x, x, x, x]]],
            Editable->False], ")"}]}]}]], "Print"],

Cell[BoxData[
    \("The expression has no free coefficients."\)], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Result of explicit verification: (rho_t + J_x) = "\
\[InvisibleSpace]0\),
      SequenceForm[ "Result of explicit verification: (rho_t + J_x) = ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*********************************************************"\)], "Print"],

Cell[BoxData[
    \("********************* BEGIN SUMMARY *********************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Total CPU time used in the current session is "\
\[InvisibleSpace]4\[InvisibleSpace]" seconds."\),
      SequenceForm[ 
      "Total CPU time used in the current session is ", 4, " seconds."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The software computed 1 density with its corresponding flux."\)], \
"Print"],

Cell[BoxData[
    \("To see a list of all the densities type: listallrhos,"\)], "Print"],

Cell[BoxData[
    \("or pdeform[listallrhos]."\)], "Print"],

Cell[BoxData[
    \("To see the last density type: rho[x,t], or pdeform[rho[x,t]]."\)], \
"Print"],

Cell[BoxData[
    \("To split the last density in independent pieces type: "\)], "Print"],

Cell[BoxData[
    \("split[rho[x,t]], or split[pdeform[rho[x,t]]]."\)], "Print"],

Cell[BoxData[
    \("To see a list of all the fluxes type: listallfluxes,"\)], "Print"],

Cell[BoxData[
    \("or pdeform[listallfluxes]."\)], "Print"],

Cell[BoxData[
    \("To see the last flux type: j[x,t], or pdeform[j[x,t]]."\)], "Print"],

Cell[BoxData[
    \("To split the last flux in independent pieces type: split[j[x,t]],"\)], \
"Print"],

Cell[BoxData[
    \("or split[pdeform[j[x,t]]]."\)], "Print"],

Cell[BoxData[
    \("********************** END SUMMARY **********************"\)], "Print"],

Cell[BoxData[
    \("Code condens2007.m (October 3, 2007) successfully loaded."\)], "Print"],

Cell[BoxData[
    \("Updated version: August 5, 2009."\)], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(listallrhos\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{\(\(u[1]\)[x, t]\^6\), "-", 
        RowBox[{"60", " ", \(\(u[1]\)[x, t]\^3\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "-", 
        RowBox[{"30", " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "4"]}], "+", 
        RowBox[{"108", " ", \(\(u[1]\)[x, t]\^2\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((2, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "+", 
        RowBox[{\(720\/7\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((2, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "3"]}], "-", 
        RowBox[{\(648\/7\), " ", \(\(u[1]\)[x, t]\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((3, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "+", 
        RowBox[{\(216\/7\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((4, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}]}], 
      "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(listallfluxes\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{\(6\/7\ \(u[1]\)[x, t]\^7\), "-", 
        RowBox[{"75", " ", \(\(u[1]\)[x, t]\^4\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "-", 
        RowBox[{"120", " ", \(\(u[1]\)[x, t]\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "4"]}], "+", 
        RowBox[{"6", " ", \(\(u[1]\)[x, t]\^5\), " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((2, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}]}], "+", 
        RowBox[{"180", " ", \(\(u[1]\)[x, t]\^2\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"], " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((2, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}]}], "+", 
        RowBox[{"168", " ", \(\(u[1]\)[x, t]\^3\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((2, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "+", 
        RowBox[{"396", " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"], " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((2, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "+", 
        RowBox[{\(936\/7\), " ", \(\(u[1]\)[x, t]\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((2, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "3"]}], "-", 
        RowBox[{"120", " ", \(\(u[1]\)[x, t]\^3\), " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((3, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}]}], "-", 
        RowBox[{"120", " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "3"], " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((3, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}]}], "-", 
        RowBox[{"432", " ", \(\(u[1]\)[x, t]\), " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((2, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((3, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}]}], "-", 
        RowBox[{\(1404\/7\), " ", \(\(u[1]\)[x, t]\^2\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((3, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "-", 
        RowBox[{\(648\/7\), " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((2, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((3, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "+", 
        RowBox[{"216", " ", \(\(u[1]\)[x, t]\^2\), " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((2, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((4, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}]}], "+", 
        RowBox[{\(2160\/7\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((2, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"], " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((4, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}]}], "+", 
        RowBox[{\(1296\/7\), " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((3, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((4, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}]}], "+", 
        RowBox[{\(864\/7\), " ", \(\(u[1]\)[x, t]\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((4, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "-", 
        RowBox[{\(1296\/7\), " ", \(\(u[1]\)[x, t]\), " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((3, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((5, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}]}], "-", 
        RowBox[{\(216\/7\), " ", 
          SuperscriptBox[
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((5, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "2"]}], "+", 
        RowBox[{\(432\/7\), " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((4, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
          RowBox[{
            SuperscriptBox[\(u[1]\), 
              TagBox[\((6, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t\), "]"}]}]}], 
      "}"}]], "Output"]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 941}},
WindowSize->{1014, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
ShowSelection->True,
Magnification->1.5
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 247, 5, 94, "Input"],

Cell[CellGroupData[{
Cell[2026, 60, 77, 1, 42, "Input"],
Cell[2106, 63, 60, 1, 41, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2203, 69, 57, 1, 42, "Input"],
Cell[2263, 72, 80, 1, 35, "Print"],
Cell[2346, 75, 67, 1, 35, "Print"],
Cell[2416, 78, 216, 4, 35, "Print"],
Cell[2635, 84, 92, 1, 35, "Print"],
Cell[2730, 87, 62, 1, 35, "Print"],
Cell[2795, 90, 72, 1, 35, "Print"],
Cell[2870, 93, 89, 1, 35, "Print"],
Cell[2962, 96, 84, 1, 35, "Print"],
Cell[3049, 99, 82, 1, 35, "Print"],
Cell[3134, 102, 82, 1, 35, "Print"],
Cell[3219, 105, 84, 1, 35, "Print"],
Cell[3306, 108, 91, 1, 35, "Print"],
Cell[3400, 111, 86, 1, 35, "Print"],
Cell[3489, 114, 89, 1, 35, "Print"],
Cell[3581, 117, 49, 1, 35, "Print"],
Cell[3633, 120, 51, 1, 35, "Print"],
Cell[3687, 123, 56, 1, 35, "Print"],
Cell[3746, 126, 97, 2, 35, "Print"],
Cell[3846, 130, 92, 1, 35, "Print"],
Cell[3941, 133, 92, 1, 35, "Print"],
Cell[4036, 136, 92, 1, 35, "Print"],
Cell[4131, 139, 92, 1, 35, "Print"],
Cell[4226, 142, 92, 1, 35, "Print"],
Cell[4321, 145, 92, 1, 35, "Print"],
Cell[4416, 148, 92, 1, 35, "Print"],
Cell[4511, 151, 92, 1, 35, "Print"],
Cell[4606, 154, 92, 1, 35, "Print"],
Cell[4701, 157, 92, 1, 35, "Print"],
Cell[4796, 160, 253, 5, 35, "Print"],
Cell[5052, 167, 283, 5, 35, "Print"],
Cell[5338, 174, 3843, 103, 35, "Print"],
Cell[9184, 279, 92, 1, 35, "Print"],
Cell[9279, 282, 232, 4, 35, "Print"],
Cell[9514, 288, 96, 2, 35, "Print"],
Cell[9613, 292, 96, 2, 35, "Print"],
Cell[9712, 296, 92, 1, 35, "Print"],
Cell[9807, 299, 240, 4, 35, "Print"],
Cell[10050, 305, 102, 2, 35, "Print"],
Cell[10155, 309, 56, 1, 35, "Print"],
Cell[10214, 312, 232, 4, 35, "Print"],
Cell[10449, 318, 190, 4, 35, "Print"],
Cell[10642, 324, 103, 2, 35, "Print"],
Cell[10748, 328, 98, 2, 35, "Print"],
Cell[10849, 332, 92, 1, 35, "Print"],
Cell[10944, 335, 223, 4, 35, "Print"],
Cell[11170, 341, 88, 1, 35, "Print"],
Cell[11261, 344, 259, 5, 35, "Print"],
Cell[11523, 351, 7535, 195, 63, "Print"],
Cell[19061, 548, 232, 4, 35, "Print"],
Cell[19296, 554, 92, 1, 35, "Print"],
Cell[19391, 557, 77, 1, 35, "Print"],
Cell[19471, 560, 88, 1, 35, "Print"],
Cell[19562, 563, 83, 1, 35, "Print"],
Cell[19648, 566, 92, 1, 35, "Print"],
Cell[19743, 569, 101, 2, 35, "Print"],
Cell[19847, 573, 483, 8, 110, "Print"],
Cell[20333, 583, 224, 4, 35, "Print"],
Cell[20560, 589, 296, 6, 35, "Print"],
Cell[20859, 597, 91, 1, 35, "Print"],
Cell[20953, 600, 96, 2, 35, "Print"],
Cell[21052, 604, 91, 1, 35, "Print"],
Cell[21146, 607, 97, 2, 35, "Print"],
Cell[21246, 611, 98, 2, 35, "Print"],
Cell[21347, 615, 49, 1, 35, "Print"],
Cell[21399, 618, 298, 4, 32, "Message"],
Cell[21700, 624, 92, 1, 35, "Print"],
Cell[21795, 627, 59, 1, 35, "Print"],
Cell[21857, 630, 244, 3, 95, "Print"],
Cell[22104, 635, 72, 1, 35, "Print"],
Cell[22179, 638, 255, 5, 35, "Print"],
Cell[22437, 645, 91, 1, 35, "Print"],
Cell[22531, 648, 203, 4, 35, "Print"],
Cell[22737, 654, 92, 1, 35, "Print"],
Cell[22832, 657, 70, 1, 35, "Print"],
Cell[22905, 660, 7478, 194, 80, "Print"],
Cell[30386, 856, 75, 1, 35, "Print"],
Cell[30464, 859, 92, 1, 35, "Print"],
Cell[30559, 862, 68, 1, 35, "Print"],
Cell[30630, 865, 35568, 925, 254, "Print"],
Cell[66201, 1792, 75, 1, 35, "Print"],
Cell[66279, 1795, 92, 1, 35, "Print"],
Cell[66374, 1798, 223, 4, 35, "Print"],
Cell[66600, 1804, 92, 1, 35, "Print"],
Cell[66695, 1807, 92, 1, 35, "Print"],
Cell[66790, 1810, 265, 5, 35, "Print"],
Cell[67058, 1817, 97, 2, 35, "Print"],
Cell[67158, 1821, 88, 1, 35, "Print"],
Cell[67249, 1824, 59, 1, 35, "Print"],
Cell[67311, 1827, 98, 2, 35, "Print"],
Cell[67412, 1831, 89, 1, 35, "Print"],
Cell[67504, 1834, 80, 1, 35, "Print"],
Cell[67587, 1837, 87, 1, 35, "Print"],
Cell[67677, 1840, 61, 1, 35, "Print"],
Cell[67741, 1843, 89, 1, 35, "Print"],
Cell[67833, 1846, 102, 2, 35, "Print"],
Cell[67938, 1850, 61, 1, 35, "Print"],
Cell[68002, 1853, 92, 1, 35, "Print"],
Cell[68097, 1856, 92, 1, 35, "Print"],
Cell[68192, 1859, 67, 1, 35, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[68296, 1865, 44, 1, 42, "Input"],
Cell[68343, 1868, 1749, 45, 133, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[70129, 1918, 46, 1, 42, "Input"],
Cell[70178, 1921, 7587, 195, 461, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

